@echo off
REM -- First make map file from Microsoft Visual C++ generated resource.h
echo // MAKEHELP.BAT generated Help Map file.  Used by BEMISOL.HPJ. >"hlp\BemIsol.hm"
echo. >>"hlp\BemIsol.hm"
echo // Commands (ID_* and IDM_*) >>"hlp\BemIsol.hm"
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>"hlp\BemIsol.hm"
echo. >>"hlp\BemIsol.hm"
echo // Prompts (IDP_*) >>"hlp\BemIsol.hm"
makehm IDP_,HIDP_,0x30000 resource.h >>"hlp\BemIsol.hm"
echo. >>"hlp\BemIsol.hm"
echo // Resources (IDR_*) >>"hlp\BemIsol.hm"
makehm IDR_,HIDR_,0x20000 resource.h >>"hlp\BemIsol.hm"
echo. >>"hlp\BemIsol.hm"
echo // Dialogs (IDD_*) >>"hlp\BemIsol.hm"
makehm IDD_,HIDD_,0x20000 resource.h >>"hlp\BemIsol.hm"
echo. >>"hlp\BemIsol.hm"
echo // Frame Controls (IDW_*) >>"hlp\BemIsol.hm"
makehm IDW_,HIDW_,0x50000 resource.h >>"hlp\BemIsol.hm"
REM -- Make help for Project BEMISOL


echo Building Win32 Help files
start /wait hcw /C /E /M "hlp\BemIsol.hpj"
if errorlevel 1 goto :Error
if not exist "hlp\BemIsol.hlp" goto :Error
if not exist "hlp\BemIsol.cnt" goto :Error
echo.
if exist Debug\nul copy "hlp\BemIsol.hlp" Debug
if exist Debug\nul copy "hlp\BemIsol.cnt" Debug
if exist Release\nul copy "hlp\BemIsol.hlp" Release
if exist Release\nul copy "hlp\BemIsol.cnt" Release
echo.
goto :done

:Error
echo hlp\BemIsol.hpj(1) : error: Problem encountered creating help file

:done
echo.
